v 14.0 Third Party 3492
Download for v 14.0 Deploy on Odoo.sh
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Invoicing (account)
Discuss (mail)
Lines of code 390
Technical Name om_account_bank_statement_import
LicenseLGPL-3
Websitehttps://www.odoomates.tech
Versions 14.0 15.0 16.0 17.0
You bought this module and need support? Click here!
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Invoicing (account)
Discuss (mail)
Lines of code 390
Technical Name om_account_bank_statement_import
LicenseLGPL-3
Websitehttps://www.odoomates.tech
Versions 14.0 15.0 16.0 17.0

Generic Wizard to Import Bank Statements In Odoo14 Community Edition. (This module does include any CSV and XLSX type import format.)

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
What is the format?
by
Scott Hart
on 6/24/21, 8:38 AM

I can't find any reference to your csv column naming. I have headings as Date / Label / Amount. When I look under dropdowns, I don't see anything remotely close to possible alternatives. I have your accounting package installed, so I don't believe there would be any format conflicts.


i'm satisfied
by
hamza karim
on 5/9/21, 1:46 PM

it works, thank you odoo mates

Re: i'm satisfied
by
Odoo Mates
on 5/9/21, 2:13 PM Author

Happy to know it


Just throws errors
by
Chomba
on 4/6/21, 4:31 AM

No support available after numerous emails!

Re: Just throws errors
by
Odoo Mates
on 4/6/21, 11:07 AM Author

Hi,

Can we get more details about when you are getting the error ? Also yet we haven't received any mail from your side ? Did you send to odoomates@gmail.com ?

Regarding our support on the same module, see:  https://github.com/odoomates/odooapps/issues/28



Error occur after upload csv file
by
Amani Nsemwa
on 7/26/23, 10:58 AM

Error: Odoo Server Error

Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in dispatch result = request.dispatch() File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self.call_function(self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 370, in _call_function return checked_call(self.db, *args, kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper return f(dbname, args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 358, in checked_call result = self.endpoint(a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 919, in __call return self.method(args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 544, in response_wrap response = f(args, kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1374, in call_button action = self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1362, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 399, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 386, in _call_kw_multi result = method(recs, *args, kwargs) File "/mnt/extra-addons/om_account_bank_statement_import/models/account_bank_statement_import.py", line 89, in import_file 'ref': field[2], Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 652, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 317, in _handle_exception raise exception.with_traceback(None) from new_cause IndexError: list index out of range


by
ERPBox Solutions
on 9/8/21, 6:53 AM

Hello we have uploaded our bank statements, but there is no reconcilation button for us to reconcile the statement lines.


Kindly assist us.

Re:
by
Odoo Mates
on 9/8/21, 11:06 PM Author

Hi,

For the reconciliation, please download and add this module to odoo instance: https://odoo-community.org/shop/product/account-reconciliation-widget-8893?category=7&search=reconci#attr=14598


by
Edi Šuc
on 8/29/21, 5:05 PM

Which module do I have to add to import Camt_53?

Re:
by
Odoo Mates
on 8/29/21, 10:29 PM Author

currently our module didnt support this format, for this you can use this oca module: https://apps.odoo.com/apps/modules/13.0/account_bank_statement_import_camt_oca/


by
yacine bouali
on 6/19/21, 2:57 PM

i don't found a menu in invoicing module ?


by
hamza karim
on 5/8/21, 9:05 AM

hi,

i got this error when upload xlsx or csv files format

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files\Odoo 14.0.20210430\server\odoo\http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
ValueError: time data 'cc11114' does not match format '%Y-%m-%d'
Re:
by
Odoo Mates
on 5/8/21, 10:20 AM Author

Hi,

Seems you are importing in a wrong format, allowed and expected excel and csv formats are given inside the module. Please import in specified format.

See: https://github.com/odoomates/odooapps/tree/14.0/om_account_bank_statement_import/sample_files